/*
 *
 * M O U S Y . H -- some defines for using the mouse functions.
 *               -- 30th January 1992
 */

/***** Which interrupt to call *****/
#define MS_MOUSE_INT_NUM   0x33

/***** Function numbers *****/
#define RESET_AND_STAT      0
#define SHOW_CURSOR         1
#define HIDE_CURSOR         2
#define GET_STAT_AND_POS    3
#define SET_MOUSE_POS       4
#define GET_BUT_PRESS       5
#define GET_BUT_RELEASE     6
#define SET_X_MIN_MAX       7
#define SET_Y_MIN_MAX       8
#define SET_G_CURS_BLOCK    9
#define SET_T_CURSOR       10
#define READ_MOTION        11
#define SET_INTERRUPT      12
#define LIGHT_PEN_EMUL_ON  13
#define LIGHT_PEN_EMUL_OFF 14
#define SET_MIK_PIX_RATIO  15
#define CONDITIONAL_OFF    16
#define SET_DSPEED_THRESH  19
#define SWAP_INTS          20
#define GET_STATE_STORE    21
#define SAVE_MOUSE_STATE   22
#define REST_MOUSE_STATE   23
#define SET_CRT_PAGE_NUM   29
#define GET_CRT_PAGE_NUM   30

/***** Button Numbers *****/
#define LEFT_BUT            1
#define RIGHT_BUT           2


/***** INPUT MASKS *****/
#define FUN_BIT               0x8000
#define KEY_BIT               0x4000
#define FUNKY_BITS  FUN_BIT | KEY_BIT
#define LEFT_BIT              0x2000
#define RIGHT_BIT             0x1000
#define MOUSY_BITS  LEFT_BIT | RIGHT_BIT
#define CHAR_MASK 0x00FF


/***** CURSOR SHAPES *****/
#define NORMAL_SHP     0
#define IN_ARROW_SHP   1
#define OUT_ARROW_SHP  2
#define QUESTION_SHP   3


#ifndef TRUE
#define TRUE  1
#define FALSE 0
#endif


/* Function prototypes */
void  Mouse (short far* m1, short far* m2, short far* m3,
             short far* m4, short far* m5) ;
void  Check_Mouse (void) ;
int   Init_Mouse (void) ;
void  Set_Mouse_Pos (short x, short y) ;
void  Set_Mouse_Limits (short x0, short y0, short x1, short y1) ;
void  Set_Cursor_Shape (short Code, short Hot_X, short Hot_Y) ;
void  Show_Mouse_Cursor (void) ;
void  Hide_Mouse_Cursor (void) ;
short Get_Mouse_Or_Key (short* Mx, short* My) ;
void  Start_Up_Mouse (void) ;

